buildFDMat {PCpheno} | R Documentation

## Build fitness defect contingency matrix

### Description

Function to build a fitness defect contingency matrix where rows correspond to tested genes and columns to experimental conditions.

### Usage

    buildFDMat(data,genenames,condition)

### Arguments

`data` | List of 'significant' fitness defect scores and the associated genes at different experimental conditions.
`condition` | Character vector of the different experimental conditions tested
`genenames` | Character vector of all the tested genes for fitness defect.

### Value

Contingency matrix of genes that present significant fitness defect in different experimental conditions.

### Author(s)

N. LeMeur

### Examples

     data(GiaeverPheno)
     data(GiaeverExpCdt)
     data(GiaeverGene)
     fitnessData <- getFDgene(GiaeverPheno,condition=GiaeverExpCdt,cutoff=c(20,100,100),mode="generation",subset=c(5,15,20))
     GiaeverPhenoM <- buildFDMat(data=fitnessData,genenames=GiaeverGene,condition=GiaeverExpCdt[,3])

[Package PCpheno version 1.6.0 Index]